Subject: Bug#723: [X2Go-Dev] Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)

From: Mike Gabriel <[email-masked]>
Date: Thu, 08 Jan 2015 09:52:06 +0000

Hi Martin,

On  Mi 07 Jan 2015 19:33:42 CET, Babutzka, Martin (EKP) wrote:

> Package: x2goclient
> Version: 4.0.3.0
>
> x2goserver-version: 4.0.1.18-0~949 running on Ubuntu 14.04.1
> x2goclient-version: 4.0.3.0 running on Windows 7
>
> We are experiencing a strange bug in the interplay of x2go with a  
> component of the ROOT data analysis framework  
> (https://root.cern.ch). Displaying GUI windows in the ROOT  
> framework, shows them shortly and results in an immediate CRASH of  
> the X2go connection with a Windows error "vcxsrv.exe has stopped  
> working" and subsequent closure of all opened remote applications.
> Strangely the GUI window shows up when resuming the session in X2go.  
> Running the ROOT GUI window from pure vcxsrv, Xming, Mobaxfire or  
> similar Windows X-Server applications works flawlessly. It also  
> worked previously with the "baikal" version of X2go. I admit this  
> seems to be an exotic bug but there might be further graphical  
> software affected which increases the severity of this bug.
>
> Steps to reproduce:
> - Install ROOT from the webpage or via "apt-get install  
> root-system-bin" on the x2goserver
> - Run "root" on command line.
> - Open a TBrowser with the command "TBrowser b"
>
> After this the x2goclient slowly fills the "session" log with warnings of
> "Proxy: WARNING! Handling data for finishing FD#6 channel ID#1."
>
> This bug is a kind of a show stopper for us because we need ROOT for  
> scientific use. I would help to further track down the error and  
> debug if I can get some hints where and how to start.
>
> Kind regards,
> Martin

Is it possible to be granted access to a reference installation that  
shows the above describe behaviour?

Esp. the fact, that resuming the "crashed" session gives me a bit of  
hope here.

Also: do you know if your software uses the X11 bigrequests extension?

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb